Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 105654

Summary: spamassassin-spamc.rc does not drop privileges and fall back to nobody
Product: [Fedora] Fedora Reporter: Tomasz Ostrowski <tometzky>
Component: spamassassinAssignee: Warren Togami <wtogami>
Status: CLOSED WONTFIX QA Contact: David Lawrence <dkl>
Severity: low Docs Contact:
Priority: medium    
Version: 7CC: triage
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-06-17 01:07:36 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 150221    

Description Tomasz Ostrowski 2003-09-26 11:09:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030529

Description of problem:
spamassassin-spamc.rc does not use DROPPRIVS=yes and when
INCLUDERC/etc/mail/spamassassin/spamassassin-spamc.rc is used in /etc/procmailrc
it uses root to connect to spamd.

Spamd is then falling back to nobody. This also causes that in this
configuration auto-whitelist feature is not working.


Version-Release number of selected component (if applicable):
spamassassin-2.55-3

How reproducible:
Always

Steps to Reproduce:
1. rpm -ivh spamassassin-2.55-3.i386.rpm
2. /etc/rc.d/init.d/spamassassin start
3. echo 'INCLUDERC=/etc/mail/spamassassin/spamassassin-spamc.rc' >> /etc/procmailrc
4. /usr/sbin/sendmail $LOGNAME@$(hostname) <
/usr/share/doc/spamassassin-2.55/sample-nonspam.txt


Actual Results:  In /var/log/maillog:
connection from localhost.localdomain [127.0.0.1] at port 1849
info: setuid to root succeeded
Still running as root: user not specified with -u, not found, or set to root. 
Fall back to nobody.
processing message <[msgid]> for root:99.
clean message (-2.9/5.0) for root:99 in 3.0 seconds, 6952 bytes.


Expected Results:  In /var/log/maillog:
connection from localhost.localdomain [127.0.0.1] at port 1849
info: setuid to [logname] succeeded
processing message <[msgid]> for [logname]:[uid].
clean message (-2.9/5.0) for [logname]:[uid] in 3.0 seconds, 6952 bytes.


Additional info:

Can be worked around by using "DROPPRIVS=yes" before "INCLUDERC" in /etc/procmailrc

Comment 1 Bug Zapper 2008-04-03 15:30:16 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 2 Bug Zapper 2008-05-14 11:53:09 UTC
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stopmaintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longermaintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, 
simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end 
of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it 
for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by 
events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If 
possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2008-06-17 01:07:34 UTC
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.